Skip to main content
GET
/
v0
/
topics
/
{topic_id}
/
entries
/
{topic_entry_id}
Get topic entry
curl --request GET \
  --url https://api.tryarchitect.com/v0/topics/{topic_id}/entries/{topic_entry_id} \
  --header 'x-api-key: <api-key>'
{
  "topicEntryId": "<string>",
  "topicId": "<string>",
  "sortOrder": 123,
  "content": {
    "type": "<string>",
    "content": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

topic_id
string
required

topic_id parameter

topic_entry_id
string
required

topic_entry_id parameter

Response

TopicEntry created successfully

topicEntryId
string
required
topicId
string
required
sortOrder
number
required
content
object
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$